Support » Plugin: Loginizer » PHP7: Deprecated error

  • Resolved graafg

    (@graafg)


    I am getting these errors:

    PHP Deprecated: Methods with the same name as their class will not be constructors in a future version of PHP; Math_BigInteger has a deprecated constructor in /www/wp-content/plugins/loginizer/IPv6/BigInteger.php on line 190

    Can this be fixed?

Viewing 6 replies - 1 through 6 (of 6 total)
  • Oh, Yes! (php=7.2;WP=4.7.3;loginizer=1.3.3) The same errors:
    Deprecated: Methods with the same name as their class will not be constructors in a future version of PHP; Math_BigInteger has a deprecated constructor in …../wp-content/plugins/loginizer/IPv6/BigInteger.php on line 190

    Loginizer on PHP 7+ need same updates
    in file “wp-content/plugins/loginizer/IPv6/BigInteger.php” :
    // on line 267 change
    function Math_BigInteger(‘ to ‘function __construct(

    // on line 448 (after body of function Math_BigInteger ) insert
    public function Math_BigInteger($x = 0, $base = 10){self::__construct($x,$base);}

    P.S. It’s seems that Loginizer use “Math_BigInteger 1.0.2” for 5 and 6 PHP. There is a new version “Math_BigInteger 1.0.3”, but it have to many strange & amazing changes (OpenSSL, phpinfo, 64bits…). This really should be checked before use.

    Maybe it’s time to leave work. We’ll need to look at the behavior of the developers.))))

    /wp-content/plugins/loginizer/IPv6/BigInteger.php
    ———————————————————————————————-
    FOUND 0 ERRORS AND 1 WARNING AFFECTING 1 LINE
    ———————————————————————————————-
    267 | WARNING | Use of deprecated PHP4 style class constructor is not supported since PHP 7.
    ———————————————————————————————-

    Please fix so I can safely upgrade to php7 or ill just not support this plugin anymore.

    Plugin Author loginizer

    (@loginizer)

    Hi,

    I will fix this ASAP.

    Regards

    Plugin Author loginizer

    (@loginizer)

    Hi,

    I have launched a new version to fix this.

    Regards

    Thx

Viewing 6 replies - 1 through 6 (of 6 total)
  • The topic ‘PHP7: Deprecated error’ is closed to new replies.